DataNodeLockManager.LockLevel (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.common, interface: DataNodeLockManager, enum: LockLevel

Package org.apache.hadoop.hdfs.server.common

# Enum Class DataNodeLockManager.LockLevel

java.lang.Object
java.lang.Enum<DataNodeLockManager.LockLevel>
org.apache.hadoop.hdfs.server.common.DataNodeLockManager.LockLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<DataNodeLockManager.LockLevel>`, `Constable`

Enclosing interface:
  org.apache.hadoop.hdfs.server.common.DataNodeLockManager<T extends org.apache.hadoop.hdfs.server.common.AutoCloseDataSetLock>

public static enum DataNodeLockManager.LockLevel extends Enum<DataNodeLockManager.LockLevel>
Acquire block pool level and volume level lock first if you want to acquire dir lock. Or only acquire block pool level lock. There are several locking sequential patterns as below: 1. block pool 2. block pool -> volume 3. block pool level -> volume -> dir

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCK_POOl`
  `DIR`
  `VOLUME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataNodeLockManager.LockLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataNodeLockManager.LockLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLOCK_POOl

    public static final DataNodeLockManager.LockLevel BLOCK_POOl

  - ### VOLUME

    public static final DataNodeLockManager.LockLevel VOLUME

  - ### DIR

    public static final DataNodeLockManager.LockLevel DIR

- ## Method Details

  - ### values

    public static DataNodeLockManager.LockLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataNodeLockManager.LockLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null